{
    "type": "record",
    "name": "sennder.avro.portal.ShipperEventValue",
    "fields": [
        {
            "name": "meta",
            "type": {
                "type": "record",
                "name": "sennder.avro.portal.metadata",
                "fields": [
                    {
                        "doc": "uuid shipper identifier (UUID4)",
                        "name": "shipper_id",
                        "type": "string"
                    },
                    {
                        "doc": "tenant name",
                        "name": "tenant",
                        "type": "string"
                    },
                    {
                        "doc": "Action type",
                        "name": "type",
                        "type": "string"
                    },
                    {
                        "doc": "the timestamp when the event was created",
                        "name": "modified",
                        "type": {
                            "type": "long",
                            "logicalType": "timestamp-millis"
                        }
                    },
                    {
                        "doc": "If the entity has versioning, we want to allow sending it down the stream.",
                        "default": null,
                        "name": "version",
                        "type": [
                            "null",
                            "int"
                        ]
                    },
                    {
                        "doc": "Identifier to allow events distributed tracing across services.",
                        "default": null,
                        "name": "trace_id",
                        "type": [
                            "null",
                            "string"
                        ]
                    }
                ]
            }
        },
        {
            "name": "data",
            "type": {
                "type": "record",
                "name": "sennder.avro.portal.payload",
                "fields": [
                    {
                        "doc": "Shipper id",
                        "name": "id",
                        "type": "string"
                    },
                    {
                        "doc": "Date when object was first created",
                        "name": "created_at",
                        "type": {
                            "logicalType": "timestamp-millis",
                            "type": "long"
                        }
                    },
                    {
                        "doc": "Date when object was last updated",
                        "name": "updated_at",
                        "type": {
                            "logicalType": "timestamp-millis",
                            "type": "long"
                        }
                    },
                    {
                        "name": "company_name",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "primary_contact_number",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "primary_contact_comments",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "invoicing_legal_entity",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "account_status",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "account_source",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "mothership_id",
                        "type": [
                            "int",
                            "null"
                        ]
                    },
                    {
                        "name": "salesforce_account_id",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "early_shipper_access",
                        "type": [
                            "boolean",
                            "null"
                        ]
                    },
                    {
                        "name": "vat",
                        "type": {
                            "type": "record",
                            "doc": "VAT (Value-Added Tax) Information",
                            "name": "sennder.avro.portal.VAT",
                            "fields": [
                                {
                                    "doc": "VAT country code (as used by VIES service)",
                                    "default": null,
                                    "name": "country_code",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "doc": "Value-added tax identification number",
                                    "default": null,
                                    "name": "number",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                }
                            ]
                        }
                    },
                    {
                        "name": "last_modified_by",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "accounting_id",
                        "type": [
                            "string",
                            "null"
                        ]
                    },
                    {
                        "name": "sub_contracting_policy",
                        "type": [
                            "string",
                            "null"
                        ]
                    }
                ]
            }
        }
    ]
}